# Now sourced in the main.cc file
# Need to embedded this into the c++ code
#
# SccsId = "%W% %G% voronoi";
# 
#
proc doStart { } {
	global run
	set run true
}

proc doStop { } {
	global run
	set run false
}

# this silents tclsh for a while
set tcl_prompt1 { }

proc setup { } {
	global c
	set t .
	wm title $t "Main2"
	wm iconname $t "graph"

	set w ""
	label $w.msg -justify left -text "Fortune's Voronoi Sweep Algorithm/Code"
	pack $w.msg -side top

	frame $w.frame
	pack $w.frame -side top -fill both -expand yes

	#pack $c -in $w.frame -expand yes -fill both
	pad  $w.pad -background black -width 400 -height 400
	pack $w.pad -side top -expand yes -fill both -pady 2m

	frame $w.buttons
	pack  $w.buttons -side bottom -expand y -fill x -pady 2m
	button $w.buttons.quit -text Quit -command "destroy $t"
	button $w.buttons.start -text "Start" -command "doStart"
	button $w.buttons.stop -text "Stop" -command "doStop"
	button $w.buttons.step -text "Step" -command "doOneLog"

	pack $w.buttons.quit $w.buttons.start $w.buttons.stop $w.buttons.step \
		-side left -expand 1 

	bind $t <KeyPress-q> "destroy $t"

	tkwait visibility $t
	tkwait visibility $w.pad
	update idletasks
	doAppSetup $w.pad
}

set logCount 1

proc mainloop { } {
	global run c logCount

	if { $run == "true" } {
		doOneLog
		incr logCount
		update idletasks
		after idle mainloop
	} else {
		after 1000 mainloop
	}
}

### start of tk main ###
set run true
setup
after idle mainloop
